
Summary:       ALSA driver C++ Library
Name:          clalsadrv
Version:       2.0.0
Release:       3%{?dist}
License:       GPLv2+
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

Obsoletes:     alsadrv <= 0.0.2
Provides:      alsadrv > 0.0.2
BuildRequires: alsa-lib-devel

%description
ALSA driver C++ access library

%package       devel
Summary:       ALSA driver C++ access library
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

Obsoletes:     alsadrv-devel <= 0.0.2
Provides:      alsadrv-devel > 0.0.2

%description devel
ALSA driver C++ access library. This package includes the development
tools.

%prep
%setup -q

%build
cd libs
sed -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" \
       -e "s|-O2|%{optflags}|g" Makefile
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
cd libs
make PREFIX=%{buildroot}%{_prefix} install
ln -s lib%{name}.so.2.0.0 %{buildroot}%{_libdir}/lib%{name}.so.2

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Thu Feb 16 2012 Brendan Jones <brendan.jones.it@gmail.com> 2.0.0-3
- Adjust license and correct symlink

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 2.0.0-2
- Packaged according to Fedora guidelines

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 2.0.0-1
- Copied from Planet CCRMA 

